Description

a, the Indexer needs to be able to Hash a File before he creates a file object (so it can create the metadata for a file object)
b, you should be able to just get the information which files are present without extracting every bit of FS information automatically

Related issues:
related to Core - Task # 53770: ResourceStorage uses deprecated driver API Resolved 2013-11-19

Associated revisions
Revision 24298d06 - 2013-11-13 17:09 - Steffen Ritter

[TASK][!!!] Extend FAL Api for more efficient usage

This changeset extends the Driver-API to allow the ResourceStorage
to list Files in a Folder (recursively) without getting the whole
FileInformation array. Extracting the FileInformation is very
expensive in terms of IO and runtime.

Additionally when doing IndexMaintenance it might be useful to
check if the File changed (content-wise) and therefore must be
hashed. While indexing you might not yet have a FileObject
since you are just about to create it. Therefore a HashFile
Method in ResourceStorage is extended to do that just based on
the Identifier.

Since this change already breaks the Driver API and we decided
that architecturally it is not wise, that the driver knows
about object and not only about identifiers, the hash method
is changed accordingly there, too.

Since only the ResourceStorage is allowed to access the Driver
objects directly this is only relevant for custom driver
implementations.

Releases: 6.2
Resolves: #53585
Change-Id: I6ec47e9071550826aab4f4886700772254cfc8d0
Reviewed-on: https://review.typo3.org/25363
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
History
#1 - 2013-11-13 10:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25363

#2 - 2013-11-13 12:24 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25363

#3 - 2013-11-13 17:09 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25363

#4 - 2013-11-13 17:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:24298d068315bde59019b8403051767a60c88d83.
